Subject: Re: [PATCH 1/1] Use GIT_ASKPASS environment to launch thirdpart UI app to get password

From: David Aguilar <[email-masked]>
Date: Thu, 25 Feb 2010 01:15:01 -0800

On Wed, Feb 24, 2010 at 04:13:01PM +0800, Frank Li wrote:
> 
> > Many users already have SSH_ASKPASS defined.  It would be very
> > nice if we supported SSH_ASKPASS as a fallback when GIT_ASKPASS
> > is not provided.
> >
> 
> I consider add such fallback at git.c.  when user use git svn,  git
> main program will be called firstly.
> git main entry will check if GIT_ASKPASS and SSH_ASKPASS, if
> SSH_ASKPASS set but GIT_ASKPASS not set,
> GIT_ASKPASS will be set as SSH_ASKPASS.
> 
> Do you think we needs add such check at git-svn.perl ?
> 
> best regards
> Frank Li

Interesting question.  I had never thought of moving the
fallback to git.

I would have done it in the script as a localized fix but
I definately see the value in aiding scripts from
all having to implement this same fallback, though:

	$ENV{GIT_ASKPASS} ||= $ENV{SSH_ASKPASS};

If Junio, Eric, and the git list think that this should
live in git instead then by all means.

-- 
		David